Bug 10111 - Layout on basket summary page a bit inconsistent
Summary: Layout on basket summary page a bit inconsistent
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Owen Leonard
QA Contact: Jonathan Druart
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-04-25 05:59 UTC by Katrin Fischer
Modified: 2013-12-05 20:09 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
screenshot of basket summary page (24.96 KB, image/png)
2013-04-25 05:59 UTC, Katrin Fischer
Details
Bug 10111 - Layout on basket summary page a bit inconsistent (3.43 KB, patch)
2013-04-25 13:39 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 10111 - Layout on basket summary page a bit inconsistent (3.46 KB, patch)
2013-04-25 20:13 UTC, Mirko Tietgen
Details | Diff | Splinter Review
Bug 10111 - Followup Layout on basket summary page a bit inconsistent (1.10 KB, patch)
2013-04-26 08:07 UTC, Jonathan Druart
Details | Diff | Splinter Review
[PASSED QA] Bug 10111 - Layout on basket summary page a bit inconsistent (3.56 KB, patch)
2013-05-01 06:23 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2013-04-25 05:59:37 UTC
Created attachment 17662 [details]
screenshot of basket summary page

Looking at the basket header section of the basket summary page I think we should have all labels in bold and are missing some lins between the lines on the right side of the display.

And while someone is in there - it would be nice if some of the information could be easily hidden using CSS as not all libraries will want to use the multi-branch options for billing and delivery places.
Comment 1 Owen Leonard 2013-04-25 13:39:03 UTC Comment hidden (obsolete)
Comment 2 Mirko Tietgen 2013-04-25 20:13:30 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2013-04-26 08:06:51 UTC
QA comment:

Owen, I'm not sure at all but I suspect 1 extra li tag.
I got:
- If basket is not in a bg: the "basket group" label and select (+ input) are not on the same line.
- If basket is in a opened bg: idem
- If basket is in a closed bg: the "basket group" label and the text ( "basketname (closed)") are on the same line.

Extra li would be at lines 213 and 214.

I will submit a patch, mark it as obsolete if it is the expected behavior, else sign off it.

Marked as Failed QA.
Comment 4 Jonathan Druart 2013-04-26 08:07:30 UTC Comment hidden (obsolete)
Comment 5 Owen Leonard 2013-04-30 15:22:09 UTC
Comment on attachment 17694 [details] [review]
Bug 10111 - Followup Layout on basket summary page a bit inconsistent

It is a little strange to have the input in a separate <li> than the label, but I think it's more readable that way, especially in a medium-sized browser window.
Comment 6 Katrin Fischer 2013-05-01 06:23:57 UTC
Created attachment 17861 [details] [review]
[PASSED QA] Bug 10111 - Layout on basket summary page a bit inconsistent

Some details in the summary of basket information were not marked up
consistently with others on the page. This patch makes the markup
consistent for a consistent appearance.

To test, view a basket in Acquisitions which is part of a basketgroup.
Information should be displayed consistently for baksets in both open
and closed basket groups.

Signed-off-by: Mirko Tietgen <mirko@abunchofthings.net>
Works as expected

Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Template change only, works nicely.
Comment 7 Jared Camins-Esakov 2013-05-01 11:09:55 UTC
This patch has been pushed to master and 3.12.x.
Comment 8 Chris Cormack 2013-05-09 06:25:59 UTC
Pushed to 3.10.x will be in 3.10.6